> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v12/reference/notes/notes.md).

# Notes

## List All Notes

> Returns a list of notes for a specific campaign, with options for filtering by partner and date.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Partner Notes","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Notes":{"get":{"summary":"List All Notes","description":"Returns a list of notes for a specific campaign, with options for filtering by partner and date.","operationId":"listNotes","tags":["Notes"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique Account SID."},{"name":"CampaignId","in":"path","required":true,"schema":{"type":"integer"},"description":"The ID of the campaign the notes belong to."},{"name":"MediaId","in":"query","schema":{"type":"integer"},"description":"Filter notes for a specific partner account ID."},{"name":"StartDate","in":"query","schema":{"type":"string","format":"date-time"},"description":"The start of the date range to filter notes by their creation date."},{"name":"EndDate","in":"query","schema":{"type":"string","format":"date-time"},"description":"The end of the date range to filter notes by their creation date."}],"responses":{"200":{"description":"A paginated list of note objects.","content":{"application/json":{"schema":{"type":"object","properties":{"Notes":{"type":"array","description":"The list of note objects.","items":{"$ref":"#/components/schemas/Note"}}}}}}}}}}},"components":{"schemas":{"Note":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the note."},"MediaId":{"type":"integer","description":"The unique identifier of the partner this note is about."},"MediaName":{"type":"string","description":"The display name of the partner this note is about."},"Creator":{"type":"string","description":"The name of the user who created the note."},"CreationDate":{"type":"string","format":"date-time","description":"The date and time the note was created."},"ModificationDate":{"type":"string","format":"date-time","description":"The date and time the note was last modified."},"Content":{"type":"string","description":"The plaintext content of the note."},"Type":{"$ref":"#/components/schemas/NoteType","description":"The interaction type for this note."},"Attachments":{"type":"array","description":"URIs of file attachments associated with the note.","items":{"type":"string","format":"uri-reference"}},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this note in the impact.com API."}}},"NoteType":{"type":"string","enum":["EMAIL","IM","NONE","PHONE"]}}}}
```

## Create a Note

> Creates a new note for a partner. Either \`Content\` or an \`Attachment\` is required.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Partner Notes","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Notes":{"post":{"summary":"Create a Note","description":"Creates a new note for a partner. Either `Content` or an `Attachment` is required.","operationId":"createNote","tags":["Notes"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique Account SID."},{"name":"CampaignId","in":"path","required":true,"schema":{"type":"integer"},"description":"The ID of the campaign to create the note in."}],"requestBody":{"description":"Note content and/or attachments.","required":true,"content":{"multipart/form-data":{"schema":{"type":"object","required":["MediaId"],"properties":{"MediaId":{"type":"integer","description":"The partner account ID this note is for."},"Content":{"type":"string","description":"The plaintext content of the note. Optional if an Attachment is provided."},"Type":{"$ref":"#/components/schemas/NoteType","description":"The interaction type for this note."},"Attachment":{"type":"string","format":"binary","description":"An image file to attach to the note."}}}}}},"responses":{"200":{"$ref":"#/components/responses/SuccessUriResponse"}}}}},"components":{"schemas":{"NoteType":{"type":"string","enum":["EMAIL","IM","NONE","PHONE"]}},"responses":{"SuccessUriResponse":{"description":"The request was successful.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected note."}}}}}}}}}
```

## Retrieve a Note

> Retrieves the details of a single, existing note by its unique ID.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Partner Notes","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Notes/{NoteId}":{"get":{"summary":"Retrieve a Note","description":"Retrieves the details of a single, existing note by its unique ID.","operationId":"getNoteById","tags":["Notes"],"parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"description":"The ID of the campaign the note belongs to.","schema":{"type":"integer"}},{"name":"NoteId","in":"path","required":true,"description":"The unique identifier for the note.","schema":{"type":"integer"}}],"responses":{"200":{"description":"A single note object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Note"}}}}}}}},"components":{"schemas":{"Note":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the note."},"MediaId":{"type":"integer","description":"The unique identifier of the partner this note is about."},"MediaName":{"type":"string","description":"The display name of the partner this note is about."},"Creator":{"type":"string","description":"The name of the user who created the note."},"CreationDate":{"type":"string","format":"date-time","description":"The date and time the note was created."},"ModificationDate":{"type":"string","format":"date-time","description":"The date and time the note was last modified."},"Content":{"type":"string","description":"The plaintext content of the note."},"Type":{"$ref":"#/components/schemas/NoteType","description":"The interaction type for this note."},"Attachments":{"type":"array","description":"URIs of file attachments associated with the note.","items":{"type":"string","format":"uri-reference"}},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this note in the impact.com API."}}},"NoteType":{"type":"string","enum":["EMAIL","IM","NONE","PHONE"]}}}}
```

## Update a Note

> Updates the specified note, allowing for changes to content and attachments.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Partner Notes","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Notes/{NoteId}":{"put":{"summary":"Update a Note","description":"Updates the specified note, allowing for changes to content and attachments.","operationId":"updateNote","tags":["Notes"],"parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"description":"The ID of the campaign the note belongs to.","schema":{"type":"integer"}},{"name":"NoteId","in":"path","required":true,"description":"The unique identifier for the note.","schema":{"type":"integer"}}],"requestBody":{"description":"The fields to update.","required":true,"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"Content":{"type":"string","description":"The new plaintext content for the note."},"Type":{"$ref":"#/components/schemas/NoteType","description":"The interaction type for this note."},"AttachmentsAdd":{"type":"string","format":"binary","description":"A new image file to attach."},"AttachmentsRemove":{"type":"string","description":"The name of an existing attachment to remove."}}}}}},"responses":{"200":{"$ref":"#/components/responses/SuccessUriResponse"}}}}},"components":{"schemas":{"NoteType":{"type":"string","enum":["EMAIL","IM","NONE","PHONE"]}},"responses":{"SuccessUriResponse":{"description":"The request was successful.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected note."}}}}}}}}}
```

## Delete a Note

> Permanently deletes a note. This cannot be undone.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Partner Notes","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Notes/{NoteId}":{"delete":{"summary":"Delete a Note","description":"Permanently deletes a note. This cannot be undone.","operationId":"deleteNote","tags":["Notes"],"parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"description":"The ID of the campaign the note belongs to.","schema":{"type":"integer"}},{"name":"NoteId","in":"path","required":true,"description":"The unique identifier for the note.","schema":{"type":"integer"}}],"responses":{"200":{"$ref":"#/components/responses/SuccessDeleteResponse"}}}}},"components":{"responses":{"SuccessDeleteResponse":{"description":"The resource was successfully deleted.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates that the note was deleted."}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v12/reference/notes/notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
